Package Details: gwe 0.15.3-1

Git Clone URL: https://aur.archlinux.org/gwe.git (read-only, click to copy)
Package Base: gwe
Description: A system utility for controlling NVIDIA GPUs
Upstream URL: https://gitlab.com/leinardi/gwe
Licenses: GPL3
Submitter: The999eagle
Maintainer: The999eagle
Last Packager: The999eagle
Votes: 30
Popularity: 3.59
First Submitted: 2019-01-30 21:50
Last Updated: 2021-04-10 20:34

Latest Comments

deba2000 commented on 2021-04-13 11:24

@The999eagle all working now! I had tried reinstalling python-injector and python-py3nvml previously; I think I simply needed to clear out the old source/package files from my $PKGDEST and $SRCDEST before doing so. Thanks for your help and for maintaining these packages!

The999eagle commented on 2021-04-12 13:22

@deba2000 as with every single python package in the AUR, you have to rebuild python-injector after upgrading python. Just reinstall python-injector and it should be available as module for python 3.9.

deba2000 commented on 2021-04-12 12:16

GWE attempts to import injector (python package) at launch but fails with the error "ModuleNotFoundError: No module named 'injector'". I see that injector requires python < v3.9 (in requirements.txt) but the system python is at 3.9 (in the Extra repo). I'm actually not sure where python-injector (from the AUR) installs the injector package now, so I don't quite know how to get around this issue at the moment, except maybe launching GWE in a virtual environment with python 3.8 installed?

bkb commented on 2021-01-13 13:37

Please add package full name in the description

Run as user: ERROR: Error while checking NVML Shared Library

Run as root: ERROR: Error while checking NV-CONTROL extension

EDIT: Reboot resolves the issue

yochananmarqos commented on 2020-12-03 00:18

gobject-introspection is always a build dependency, never a runtime dependency.

theriddick commented on 2020-01-15 09:04

Current release is 0.13.3, this version is decently outdated. I attempted to build GWE myself but it failed horribly for some reason, seems using PIP to install stuff can be VERY risky.

Anyway be nice if someone can update this, or better yet build a working -git pkgbuild that doesn't use pip system which can cause issues since files are injected all over the system and not tracked by pacman!!!!

vith commented on 2019-05-31 17:30

Can you put GreenWithEnvy in the package description? This would make the package easier to find.

Maybe "GreenWithEnvy is a system utility for controlling NVIDIA GPUs".

The999eagle commented on 2019-02-03 13:48

@Lucki thanks, added the dependency

Lucki commented on 2019-02-03 13:37

This package is missing gobject-introspection as dependency.

Dependency gobject-introspection-1.0 found: NO (tried pkgconfig)

meson.build:30:0: ERROR:  Dependency "gobject-introspection-1.0" not found, tried pkgconfig